"""
--------------------------------------------------------------------------------
THIS IS AN EXAMPLE ONLY -- emulate/replace for your email account's parameters.

This is a NON-SSL account-specific extension to the global base file.
  -See ../PyMailGUI-PP4E/mailconfig.py for base-file settings customized here.
  -See mailconfig_Lutzmv_ssl.py for the SSL extension to this file.

This Goddady account has plain and SSL versions of POP, but only SSL SMTP,
and TLS fails on both.  Can also do SMTP via a broadband provider, SSL or not.
See also textConfig.py in ../PyMailGui-PP4E for PyEdit popup window settings.
--------------------------------------------------------------------------------
"""
import sys, os   # for platform diffs, paths

# for platform-specific choices
RunningOnMac     = sys.platform.startswith('darwin')       # all OS (X)
RunningOnWindows = sys.platform.startswith('win')          # all Windows
RunningOnLinux   = sys.platform.startswith('linux')        # all Linux


# --override PyMailGUI's mailconfig.py base-file defaults here--

# fetch (password asked in GUI)
popservername  = 'mail.lutzmv.us:110'            # for connection, port 110
popusername    = 'mark@lutzmv.us'                # for account login 
popusesSSL     = False

# send (password asked in GUI if needed)
smtpservername = 'smtp.comcast.net:587'          # opt port# (see also SSL/TLS)
smtpuser       = 'veramark62'                    # nonblank=authenticated/pswd
smtpusesSSL    = False

# this is supposed to work, but doesn't: hosting provider, not broadband
# smtpservername = 'mail.lutzmv.us:25'           # port# (and !80 and !3535)
# smtpuser       = 'mark@lutzmv.us'              # nonblank=authenticated/pswd

# compose (name requires "" if '.', etc)
myaddress      = '"Mark L." <mark@lutzmv.us>'    # for envelope headers
mysignature    = ('Cheers,\n--Mark')             # added at end of new mail text

# list windows
listbg = '#f1fdfe'                          # back/fore color name or #RRGGBB
listfg = 'black'
listHeight = 15                             # show this many messages initially

if RunningOnWindows:                        # account-specific fonts - monospace
    listfont = ('consolas', 12, 'bold')     # consolas isn't monospace on Linux
elif RunningOnLinux:                        # inconsolata isn't mono on Windows
    listfont = ('inconsolata', 12, 'bold')  # courier works on both, but duller
elif RunningOnMac:                          # font for Mac OS X (or courier new)
    listfont = ('monaco', 12, 'bold')       # else use main file's default 

# view windows
viewbg = 'cornsilk'                   # was '#dbbedc'; =base, but make explicit
viewfg = 'black'                      # or 'white' for dark backgrounds
viewheight = 20                       # show up to this many text lines at open
viewheightmin = 10                    # show at least this many lines initially
wrapsz = 80                           # wrap viewed text at/before this column

if RunningOnWindows:                         # account-specific fonts - any
    viewfont = ('consolas', 13, 'bold')      # for mail main text in view/write
elif RunningOnLinux:                         # special-case fonts for Linux 
    viewfont = ('inconsolata', 12, 'normal') # small is better (or courier new)
elif RunningOnMac:                           # special-case fonts for Mac OS X
    viewfont = ('menlo', 14, 'normal')       # non-bold is better (or courier)

if RunningOnWindows:                        # view window header fonts [4.0]
    headerfont = ('consolas', 13)           # other platforms default to Tk std
    
# more colors: 'name', '#RRGGBB', or None=default
helpfg, helpbg = viewfg, viewbg       # server list window help bar (else blue)
partfg, partbg = listfg, listbg       # view window part buttons (else grey)
ctrlfg, ctrlbg = None, None           # view window action buttons (else beige)

# help bar action
showHelpAsText = False                # book's text help + source button in gui?
showHelpAsHTML = False                # book's original html help in browser?
showStandaloneHelp = True             # standalone release html help in browser?

# etc
fetchlimit = 200                      # load only up to this many latest headers
skipTextOnHtmlPart = True             # don't show selected HTML part's text too
splitOpensAll      = True             # Split opens all parts after saving them

# sent saves, used if path exists; may be account- and platform-specific;
# default=common file in program install tree: PyMailGui-PP4E/sentmail.text

#sentmailfile = None                                               # don't save
#sentmailfile = not set                                            # use default
if RunningOnWindows:
    sentmailfile = os.getenv('HOMEPATH') + r'\pmg-sentmail.txt'    # Windows
else:                                          
    sentmailfile = os.getenv('HOME') + '/pmg-sentmail.txt'         # Mac, Linux

# password files, 1 line=pswd; handy on tablets, ignored if file not present;
# as coded, located at /User/you/file on Unix, and C:\Users\you\file on Windows

#poppasswdfile  = r'..\..\_etc\pw2.txt'.replace('\\', os.sep)      # source tree
if RunningOnWindows:
    poppasswdfile = os.environ['HOMEPATH'] + r'\pmg-pw1.txt'       # Windows
else:
    poppasswdfile = os.environ['HOME'] + '/pmg-pw1.txt'            # Mac, Linux 

smtppasswdfile = poppasswdfile   # same for both fetch and send
                                            
# for security, use only the Lutzmv_ssl extension to this file
